Returns ExternalBookingSettings fo a Unit
GET
/v1/booking/ExternalBookingSettings/{unitId}
const url = 'https://rms.dev.caspeco.net/api/booking/v1/booking/ExternalBookingSettings/1';const options = {method: 'GET', headers: {system: 'example'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://rms.dev.caspeco.net/api/booking/v1/booking/ExternalBookingSettings/1 \ --header 'system: example'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”unitId
required
integer format: int64
The id for the unit
Header Parameters
Section titled “Header Parameters”system
required
string
The system name / database to query
Responses
Section titled “Responses”Success
Media typeapplication/json
object
id
integer format: int64
minGuests
integer format: int32
maxGuests
integer format: int32
openingTime
number format: double
closingTime
number format: double
companyName
string
genericSignature
string
maxGuestsInfo
string
defaultAmountGuests
integer format: int32
phoneNumber
string
email
string
messageDescription
string
messagePUL
string
gdprInfo
string
messageBookingClosed
string
menuHeader
string
menuMessage
string
displayMessageBox
boolean
menuMessageDescription
string
displayMenuMessageBox
boolean
sections
Array<object>
object
name
string
unitId
integer format: int64
hidden
boolean
id
integer format: int64
sortOrder
integer format: int64
image
string
description
string
uploadImage
One of:
object
tags
Array<string>
cropRatios
Array<object>
object
id
integer format: int64
imageId
integer format: int64
left
number format: double
top
number format: double
width
number format: double
height
number format: double
aspectRatio
string
image
string
imageUrl
string
imageFilename
string
imageUploadData
string
changeStatus
integer
defaultExpandedSectionIds
Array<integer>
unitsMetaData
One of:
object
currentDBHash
integer format: int32
id
integer format: int64
unitId
integer format: int64
messageExceededGuests
string
messageCompleted
string
cssurl
string
logo
string
takeAwayWaitTimeMinutes
integer format: int32
name
string
binaryFlags
integer
maxWebGuests
integer format: int32
defaultAmountGuests
integer format: int32
confirmEmail
boolean
confirmSMS
boolean
activateWebChildren
boolean
bookingWindow
integer format: int32
contact
One of:
object
replyEmail
string
signatur
string
signaturSMS
string
signaturEmail
string
smSsender
string
emailSender
string
phone
string
cancellationSMS
string
address
string
webpage
string
backupEmail
string
colorTheme
string
showTimeFilter
boolean
labels
object
key
additional properties
string
lastGrab
boolean
newsletter
boolean
gaTrackingId
string
bookingWindowAsMonth
integer format: int32
bookingWindowUnit
integer
webPhoneNr
string
paymentMethods
Array<integer>
webConditions
string
enableInvoicing
boolean
deliveryInfoDescription
string
enableOnlineBooking40
boolean
themeSettings
One of:
object
colors
object
background
string
onBackground
string
onBackgroundSubdued
string
onBackgroundBorder
string
backgroundDisabled
string
onBackgroundHeader
string
surface
string
onSurface
string
onSurfaceSubdued
string
onSurfaceBorder
string
surfaceDisabled
string
onSurfaceHeader
string
primary
string
primaryHover
string
primaryActive
string
onPrimary
string
primaryContainer
string
onPrimaryContainer
string
secondary
string
secondaryHover
string
secondaryActive
string
onSecondary
string
secondaryContainer
string
onSecondaryContainer
string
accent
string
accentHover
string
accentActive
string
accentHoverAlpha
string
accentActiveAlpha
string
onAccent
string
accentContainer
string
onAccentContainer
string
info
string
infoHover
string
infoActive
string
onInfo
string
infoContainer
string
onInfoContainer
string
success
string
successHover
string
successActive
string
onSuccess
string
successContainer
string
onSuccessContainer
string
warning
string
warningHover
string
warningActive
string
onWarning
string
warningContainer
string
onWarningContainer
string
error
string
errorHover
string
errorActive
string
onError
string
errorContainer
string
onErrorContainer
string
neutral
string
neutralHover
string
neutralActive
string
onNeutral
string
neutralContainer
string
onNeutralContainer
string
logo
object
tags
Array<string>
cropRatios
Array<object>
object
id
integer format: int64
imageId
integer format: int64
left
number format: double
top
number format: double
width
number format: double
height
number format: double
aspectRatio
string
image
string
imageUrl
string
imageFilename
string
imageUploadData
string
coverImageThirtyTwoByNine
object
tags
Array<string>
cropRatios
Array<object>
object
id
integer format: int64
imageId
integer format: int64
left
number format: double
top
number format: double
width
number format: double
height
number format: double
aspectRatio
string
image
string
imageUrl
string
imageFilename
string
imageUploadData
string
coverImageOneByOne
object
tags
Array<string>
cropRatios
Array<object>
object
id
integer format: int64
imageId
integer format: int64
left
number format: double
top
number format: double
width
number format: double
height
number format: double
aspectRatio
string
image
string
imageUrl
string
imageFilename
string
imageUploadData
string
address
string
disableCancel
boolean
introductionMessageHeader
string
introductionMessage
string
allowEditBooking
boolean
activateInquiry
boolean
collapseConditions
boolean
inquiryInfo
string
Example
{ "sections": [ { "changeStatus": 0 } ], "unitsMetaData": { "binaryFlags": 0 }, "bookingWindowUnit": 0, "paymentMethods": [ 0 ]}